# Class GetDisputesReply

#### Hierarchy

- unknown
  - GetDisputesReply

- Defined in src/protobuf/grpc_pb.d.ts:420
- Defined in src/protobuf/grpc_pb.d.ts:434

#####
Index

### Constructors

constructor

### Methods

addDisputes
clearDisputesList
getDisputesList
serializeBinary
setDisputesList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetDisputesReply(): GetDisputesReply

- #### Returns GetDisputesReply

  Inherited from jspb.Message.constructor

## Methods

### addDisputes

- addDisputes(value?: Dispute, index?: number): Dispute

- #### Parameters

  - ##### `Optional` value: Dispute

  - ##### `Optional` index: number

  #### Returns Dispute

  - Defined in src/protobuf/grpc_pb.d.ts:424

### clearDisputesList

- clearDisputesList(): GetDisputesReply

- #### Returns GetDisputesReply

  - Defined in src/protobuf/grpc_pb.d.ts:423

### getDisputesList

- getDisputesList(): Dispute[]

- #### Returns Dispute[]

  - Defined in src/protobuf/grpc_pb.d.ts:421

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:426

### setDisputesList

- setDisputesList(value: Dispute[]): GetDisputesReply

- #### Parameters

  - ##### value: Dispute[]

  #### Returns GetDisputesReply

  - Defined in src/protobuf/grpc_pb.d.ts:422

### toObject

- toObject(includeInstance?: boolean): GetDisputesReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetDisputesReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:427

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetDisputesReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetDisputesReply

  - Defined in src/protobuf/grpc_pb.d.ts:430

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetDisputesReply, reader: BinaryReader): GetDisputesReply

- #### Parameters

  - ##### message: GetDisputesReply

  - ##### reader: BinaryReader

  #### Returns GetDisputesReply

  - Defined in src/protobuf/grpc_pb.d.ts:431

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetDisputesReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetDisputesReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:429

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetDisputesReply): GetDisputesReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetDisputesReply

  #### Returns GetDisputesReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:428

Generated using TypeDoc